Package org.h2gis.functions.io.shp

# Class SHPWrite

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.functions.io.shp.SHPWrite

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class SHPWrite extends org.h2gis.api.AbstractFunction implements org.h2gis.api.ScalarFunction
SQL Function to read a table and write it into a shape file.

Author:
  Nicolas Fortin, Erwan Bocher, CNRS

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`SHPWrite()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`exportTable(Connection connection, String fileName, String tableReference)`
Read a table and write it into a shape file.
`static void`
`exportTable(Connection connection, String fileName, String tableReference, String encoding, boolean deleteFiles)`
Read a table and write it into a shape file.
`static void`
`exportTable(Connection connection, String fileName, String tableReference, org.h2.value.Value option)`
Read a table and write it into a shape file.
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### SHPWrite

public SHPWrite()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

Specified by:
  `getJavaStaticMethod` in interface `org.h2gis.api.ScalarFunction`

### exportTable

public static void exportTable(Connection connection, String fileName, String tableReference) throws IOException, SQLException
Read a table and write it into a shape file.

Parameters:
  `connection` - Active connection
  `fileName` - Shape file name or URI
  `tableReference` - Table name
Throws:
  `IOException`
  `SQLException`

### exportTable

public static void exportTable(Connection connection, String fileName, String tableReference, org.h2.value.Value option) throws IOException, SQLException
Read a table and write it into a shape file.

Parameters:
  `connection` - Active connection
  `fileName` - Shape file name or URI
  `tableReference` - Table name or select query Note : The select query must be enclosed in parenthesis
  `option` - Could be string file encoding charset or boolean value to delete the existing file
Throws:
  `IOException`
  `SQLException`

### exportTable

public static void exportTable(Connection connection, String fileName, String tableReference, String encoding, boolean deleteFiles) throws IOException, SQLException
Read a table and write it into a shape file.

Parameters:
  `connection` - Active connection
  `fileName` - Shape file name or URI
  `tableReference` - Table name or select query Note : The select query must be enclosed in parenthesis
  `encoding` - charset encoding
  `deleteFiles` - true to delete output file
Throws:
  `IOException`
  `SQLException`